# Created by pyp2rpm-3.3.1
%global pypi_name sphinx_celery

%bcond_with test

Name:           python-%{pypi_name}
Version:        2.0.0
Release:        %mkrel 3
Summary:        Sphinx Celery Theme
Group:          Development/Python
License:        BSD
URL:            https://github.com/celery/sphinx_celery
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
%if %{with test}
BuildRequires:  python3dist(nose)
%endif

%description
This project provides the Celery sphinx theme and common Sphinx utilities.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)
Requires:       python3dist(sphinx) >= 2.0.0

%description -n python3-%{pypi_name}
This project provides the Celery sphinx theme and common Sphinx utilities.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%if %{with test}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 2.0.0-3.mga8
+ Revision: 1532751
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 2.0.0-2.mga8
+ Revision: 1443001
- rebuild for python-3.8

* Sun Aug 04 2019 wally <wally> 2.0.0-1.mga8
+ Revision: 1427232
- new version 2.0.0
- drop python2 support
- disable tests for now

* Mon Jan 07 2019 shlomif <shlomif> 1.4.0-3.mga7
+ Revision: 1350985
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.4.0-2.mga7
+ Revision: 1290199
- Mageia 7 Mass Rebuild

* Wed Apr 25 2018 kekepower <kekepower> 1.4.0-1.mga7
+ Revision: 1222276
- BR python2-sphinx
- BR sphinx
- imported package python-sphinx_celery

